Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.view.swt.di.renderer
Class DIViewSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VELEMENT>
              org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer<VView>
                  org.eclipse.emf.ecp.view.internal.core.swt.renderer.ViewSWTRenderer
                      org.eclipse.emf.ecp.ui.view.swt.di.renderer.DIViewSWTRenderer

All Implemented Interfaces:
  EMFFormsLocaleChangeListener

    public class DIViewSWTRenderer

extends ViewSWTRenderer

Author:
  jfaltermeier

Constructor Summary
`DIViewSWTRenderer(VView vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsRendererFactory factory, EMFFormsDatabinding emfFormsDatabinding, EMFFormsLocaleProvider localeProvider)` Default constructor.

Method Summary
`org.eclipse.swt.widgets.Control` | `render(SWTGridCell cell, org.eclipse.swt.widgets.Composite parent)` Renders the passed `VElement`.

Methods inherited from class org.eclipse.emf.ecp.view.internal.core.swt.renderer.ViewSWTRenderer
`notifyLocaleChange`

Methods inherited from class org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIViewSWTRenderer

    public DIViewSWTRenderer(VView vElement,
                             ViewModelContext viewContext,
                             ReportService reportService,
                             EMFFormsRendererFactory factory,
                             EMFFormsDatabinding emfFormsDatabinding,
                             EMFFormsLocaleProvider localeProvider)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - the `ReportService`
    `factory` - the `EMFFormsRendererFactory`
    `emfFormsDatabinding` - The `EMFFormsDatabinding`
    `localeProvider` - The `EMFFormsLocaleProvider`

Method Detail

### render

    public org.eclipse.swt.widgets.Control render(SWTGridCell cell,
                                                  org.eclipse.swt.widgets.Composite parent)
                                           throws NoRendererFoundException,
                                                  NoPropertyDescriptorFoundExeption

  Renders the passed `VElement`.

  Overrides:
    `render` in class `AbstractSWTRenderer<VView>`
  Parameters:
    `cell` - the `SWTGridCell` of the control to render
    `parent` - the `Composite` to render on
  Returns:
    the rendered `Control`
  Throws:
    `NoRendererFoundException` - this is thrown when a renderer cannot be found
    `NoPropertyDescriptorFoundExeption` - this is thrown when no property descriptor can be found
  See Also:
    `AbstractSWTRenderer.render(org.eclipse.emfforms.spi.swt.core.layout.SWTGridCell, org.eclipse.swt.widgets.Composite)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.